# LUX1310 Wavetable Static Data
class lux1310wavetab:
    def __init__(self, wavetab, gaintab, abnDelay=25, clocks=0):
        self.wavetab = wavetab
        self.gaintab = gaintab
        self.abnDelay = abnDelay
        if (clocks == 0):
            ## Guess the wavetable length from the size of the wavetable
            tail = -1
            while bytearray[tail] == 0:
                tail = tail-1
            bits = (len(wavetab) + tail + 1) * 8
            self.clocks = (bits + 21) // 42 # nearest-int rounding.
        else:
            self.clocks = clocks

## The big table of wavetables...
wavetables = [
    ## 80-clock Wavetables
    ## Best full-frame image quality at 1280x1024
    lux1310wavetab(clocks=80, abnDelay=25,
        wavetab = bytearray([
            0x81, 0xFF, 0x27, 0xFA, 0x21, 0xA0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E,
            0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78,
            0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0,
            0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81,
            0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07,
            0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F,
            0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F,
            0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF,
            0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x84, 0x78, 0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC,
            0xBF, 0xE8, 0x47, 0x81, 0xFF, 0x2F, 0xFA, 0x11, 0xE0, 0x7F, 0xCB, 0xFE, 0x84, 0x78, 0x1F, 0xF2,
            0xFF, 0xA1, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81, 0xFF, 0x2F, 0xFA, 0x11, 0xE0, 0x7F, 0xCB,
            0xFE, 0x84, 0x78, 0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81, 0xFF, 0x2F,
            0xFA, 0x11, 0xE0, 0x7F, 0xCB, 0xFE, 0x84, 0x78, 0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC, 0xBF,
            0xE8, 0x47, 0x80, 0xFF, 0x2F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x94, 0x78, 0x0F, 0xF0, 0xFF,
            0xA5, 0x1E, 0x03, 0xFC, 0x3F, 0xE9, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x51, 0xE0, 0x3F, 0xC3, 0xFE,
            0x94, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03, 0xFC, 0x3F, 0xED, 0x47, 0x80, 0xFF, 0x0F, 0xFB,
            0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0xD4, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03, 0xFC, 0x3F, 0xED,
            0x47, 0x80, 0xFF, 0x0F, 0xFB, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0xD4, 0x78, 0x0F, 0xF0, 0xFF, 0xB5,
            0x1E, 0x03, 0xFC, 0x3F, 0xED, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0x94,
            0x78, 0x0F, 0xF0, 0xFF, 0xA5, 0x1E, 0x03, 0xFC, 0x3F, 0xE9, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x51,
            0xE0, 0x3F, 0xC3, 0xFE, 0x94, 0x78, 0x0F, 0xF0, 0xFF, 0xA5, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47,
            0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E,
            0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78,
            0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0,
            0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80,
            0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03,
            0xFC, 0x1F, 0xE8, 0x47, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00]),
        gaintab = bytearray([
            0x82, 0xFF, 0x17, 0xF8, 0x23, 0xA0, 0xBF, 0xC5, 0xFE, 0x08, 0xE8, 0x3F, 0xF1, 0xFF, 0x83, 0x1E,
            0x0F, 0xFC, 0x7F, 0xE0, 0xC7, 0x83, 0xFF, 0x1F, 0xF8, 0x31, 0xE0, 0xFF, 0xC7, 0xFE, 0x0C, 0x78,
            0x3F, 0xF1, 0xFF, 0x83, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0xC7, 0x83, 0xFF, 0x1F, 0xF8, 0x31, 0xE0,
            0xFF, 0xC7, 0xFE, 0x0C, 0x78, 0x3F, 0xF1, 0xFF, 0x83, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0xC7, 0x83,
            0xFF, 0x1F, 0xF8, 0x31, 0xE0, 0xFF, 0xC7, 0xFE, 0x0C, 0x78, 0x3F, 0xF1, 0xFF, 0x83, 0x1E, 0x0F,
            0xFC, 0x7F, 0xE0, 0xC7, 0x83, 0xFF, 0x1F, 0xF8, 0x31, 0xE0, 0xFF, 0xC7, 0xFE, 0x0C, 0x78, 0x3F,
            0xF1, 0xFF, 0x83, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0xC7, 0x83, 0xFF, 0x1F, 0xF8, 0x31, 0xE0, 0xFF,
            0xC7, 0xFE, 0x0C, 0x78, 0x3F, 0xF1, 0xFF, 0x83, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0xC7, 0x83, 0xFF,
            0x1F, 0xF8, 0x31, 0xE0, 0xFF, 0xC7, 0xFE, 0x0C, 0x78, 0x3F, 0xF1, 0xFF, 0x83, 0x1E, 0x0F, 0xFC,
            0x7F, 0xE0, 0xC7, 0x83, 0xFF, 0x1F, 0xF8, 0x31, 0xE0, 0xFF, 0xC7, 0xFE, 0x0C, 0x78, 0x3F, 0xF1,
            0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7,
            0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F,
            0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F,
            0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x14, 0x78, 0x3F, 0xF1, 0xFF,
            0x85, 0x1E, 0x0F, 0xFC, 0x7F, 0xE1, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x51, 0xE0, 0xFF, 0xC7, 0xFE,
            0x14, 0x78, 0x3F, 0xF1, 0xFF, 0x85, 0x1E, 0x0F, 0xFC, 0x7F, 0xE1, 0x47, 0x83, 0xFF, 0x1F, 0xF8,
            0x51, 0xE0, 0xFF, 0xC7, 0xFE, 0x14, 0x78, 0x3F, 0xF1, 0xFF, 0x85, 0x1E, 0x0F, 0xFC, 0x7F, 0xE1,
            0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x51, 0xE0, 0xFF, 0xC7, 0xFE, 0x14, 0x78, 0x3F, 0xF1, 0xFF, 0x85,
            0x1E, 0x0F, 0xFC, 0x7F, 0xE1, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x51, 0xE0, 0xFF, 0xC7, 0xFE, 0x14,
            0x78, 0x3F, 0xF1, 0xFF, 0x85, 0x1E, 0x0F, 0xFC, 0x7F, 0xE1, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x51,
            0xE0, 0xFF, 0xC7, 0xFE, 0x14, 0x78, 0x3F, 0xF1, 0xFF, 0x85, 0x1E, 0x0F, 0xFC, 0x7F, 0xE1, 0x47,
            0x83, 0xFF, 0x1F, 0xF8, 0x51, 0xE0, 0xFF, 0xC7, 0xFE, 0x14, 0x78, 0x3F, 0xF1, 0xFF, 0x85, 0x1E,
            0x0F, 0xFC, 0x7F, 0xE1, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x51, 0xE0, 0xFF, 0xC7, 0xFE, 0x14, 0x78,
            0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0,
            0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83,
            0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0B,
            0xFC, 0x5F, 0xE0, 0x47, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00])),

    ## 79-clock Wavetables
    ## Fastest full-frame at 1280x1024
    lux1310wavetab(clocks=79, abnDelay=25,
        wavetab=bytearray([
            0x81, 0xFF, 0x27, 0xFA, 0x21, 0xA0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E,
            0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78,
            0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0,
            0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81,
            0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07,
            0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F,
            0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F,
            0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF,
            0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x84, 0x78, 0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC,
            0xBF, 0xE8, 0x47, 0x81, 0xFF, 0x2F, 0xFA, 0x11, 0xE0, 0x7F, 0xCB, 0xFE, 0x84, 0x78, 0x1F, 0xF2,
            0xFF, 0xA1, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81, 0xFF, 0x2F, 0xFA, 0x11, 0xE0, 0x7F, 0xCB,
            0xFE, 0x84, 0x78, 0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81, 0xFF, 0x2F,
            0xFA, 0x11, 0xE0, 0x7F, 0xCB, 0xFE, 0x84, 0x78, 0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC, 0xBF,
            0xE8, 0x47, 0x80, 0xFF, 0x2F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x94, 0x78, 0x0F, 0xF0, 0xFF,
            0xA5, 0x1E, 0x03, 0xFC, 0x3F, 0xE9, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x51, 0xE0, 0x3F, 0xC3, 0xFE,
            0x94, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03, 0xFC, 0x3F, 0xED, 0x47, 0x80, 0xFF, 0x0F, 0xFB,
            0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0xD4, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03, 0xFC, 0x3F, 0xED,
            0x47, 0x80, 0xFF, 0x0F, 0xFB, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0xD4, 0x78, 0x0F, 0xF0, 0xFF, 0xB5,
            0x1E, 0x03, 0xFC, 0x3F, 0xED, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0x94,
            0x78, 0x0F, 0xF0, 0xFF, 0xA5, 0x1E, 0x03, 0xFC, 0x3F, 0xE9, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x51,
            0xE0, 0x3F, 0xC3, 0xFE, 0x94, 0x78, 0x0F, 0xF0, 0xFF, 0xA5, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47,
            0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E,
            0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78,
            0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0,
            0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80,
            0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0x7F, 0xA1, 0x1C, 0x00,
            0x00, 0x00, 0x00, 0x00, 0x00]),
        gaintab=bytearray([
            0x82, 0xFF, 0x17, 0xF8, 0x23, 0xA0, 0xBF, 0xC5, 0xFE, 0x08, 0xE8, 0x3F, 0xF1, 0xFF, 0x83, 0x1E,
            0x0F, 0xFC, 0x7F, 0xE0, 0xC7, 0x83, 0xFF, 0x1F, 0xF8, 0x31, 0xE0, 0xFF, 0xC7, 0xFE, 0x0C, 0x78,
            0x3F, 0xF1, 0xFF, 0x83, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0xC7, 0x83, 0xFF, 0x1F, 0xF8, 0x31, 0xE0,
            0xFF, 0xC7, 0xFE, 0x0C, 0x78, 0x3F, 0xF1, 0xFF, 0x83, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0xC7, 0x83,
            0xFF, 0x1F, 0xF8, 0x31, 0xE0, 0xFF, 0xC7, 0xFE, 0x0C, 0x78, 0x3F, 0xF1, 0xFF, 0x83, 0x1E, 0x0F,
            0xFC, 0x7F, 0xE0, 0xC7, 0x83, 0xFF, 0x1F, 0xF8, 0x31, 0xE0, 0xFF, 0xC7, 0xFE, 0x0C, 0x78, 0x3F,
            0xF1, 0xFF, 0x83, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0xC7, 0x83, 0xFF, 0x1F, 0xF8, 0x31, 0xE0, 0xFF,
            0xC7, 0xFE, 0x0C, 0x78, 0x3F, 0xF1, 0xFF, 0x83, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0xC7, 0x83, 0xFF,
            0x1F, 0xF8, 0x31, 0xE0, 0xFF, 0xC7, 0xFE, 0x0C, 0x78, 0x3F, 0xF1, 0xFF, 0x83, 0x1E, 0x0F, 0xFC,
            0x7F, 0xE0, 0xC7, 0x83, 0xFF, 0x1F, 0xF8, 0x31, 0xE0, 0xFF, 0xC7, 0xFE, 0x0C, 0x78, 0x3F, 0xF1,
            0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7,
            0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F,
            0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F,
            0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x14, 0x78, 0x3F, 0xF1, 0xFF,
            0x85, 0x1E, 0x0F, 0xFC, 0x7F, 0xE1, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x51, 0xE0, 0xFF, 0xC7, 0xFE,
            0x14, 0x78, 0x3F, 0xF1, 0xFF, 0x85, 0x1E, 0x0F, 0xFC, 0x7F, 0xE1, 0x47, 0x83, 0xFF, 0x1F, 0xF8,
            0x51, 0xE0, 0xFF, 0xC7, 0xFE, 0x14, 0x78, 0x3F, 0xF1, 0xFF, 0x85, 0x1E, 0x0F, 0xFC, 0x7F, 0xE1,
            0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x51, 0xE0, 0xFF, 0xC7, 0xFE, 0x14, 0x78, 0x3F, 0xF1, 0xFF, 0x85,
            0x1E, 0x0F, 0xFC, 0x7F, 0xE1, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x51, 0xE0, 0xFF, 0xC7, 0xFE, 0x14,
            0x78, 0x3F, 0xF1, 0xFF, 0x85, 0x1E, 0x0F, 0xFC, 0x7F, 0xE1, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x51,
            0xE0, 0xFF, 0xC7, 0xFE, 0x14, 0x78, 0x3F, 0xF1, 0xFF, 0x85, 0x1E, 0x0F, 0xFC, 0x7F, 0xE1, 0x47,
            0x83, 0xFF, 0x1F, 0xF8, 0x51, 0xE0, 0xFF, 0xC7, 0xFE, 0x14, 0x78, 0x3F, 0xF1, 0xFF, 0x85, 0x1E,
            0x0F, 0xFC, 0x7F, 0xE1, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x51, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78,
            0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0,
            0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83,
            0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x2F, 0xF1, 0x7F, 0x81, 0x1C, 0x00,
            0x00, 0x00, 0x00, 0x00, 0x00])),

    ## 62-clock Wavetables
    ## Fastest operation at 1024 frame width
    lux1310wavetab(clocks=62, abnDelay=45,
        wavetab=bytearray([
            0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E,
            0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78,
            0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0,
            0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81,
            0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07,
            0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F,
            0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x11, 0xE0, 0x7F,
            0xCB, 0xFE, 0x84, 0x78, 0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81, 0xFF,
            0x2F, 0xFA, 0x11, 0xE0, 0x7F, 0xCB, 0xFE, 0x84, 0x78, 0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC,
            0xBF, 0xE8, 0x47, 0x80, 0xFF, 0x2F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x94, 0x78, 0x0F, 0xF0,
            0xFF, 0xA5, 0x1E, 0x03, 0xFC, 0x3F, 0xED, 0x47, 0x80, 0xFF, 0x0F, 0xFB, 0x51, 0xE0, 0x3F, 0xC3,
            0xFE, 0xD4, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03, 0xFC, 0x3F, 0xED, 0x47, 0x80, 0xFF, 0x0F,
            0xFB, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0xD4, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03, 0xFC, 0x3F,
            0xE9, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0x94, 0x78, 0x0F, 0xF0, 0xFF,
            0xA5, 0x1E, 0x03, 0xFC, 0x3F, 0xE9, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x51, 0xE0, 0x3F, 0xC3, 0xFE,
            0x94, 0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F, 0xFA,
            0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F, 0xE8,
            0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xA1,
            0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84,
            0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11,
            0xE0, 0x3F, 0xC1, 0xFE, 0x84, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00]),
        gaintab=bytearray([
            0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E,
            0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78,
            0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0,
            0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83,
            0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F,
            0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F,
            0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF,
            0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF,
            0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC,
            0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1,
            0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7,
            0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F,
            0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F,
            0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF,
            0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE,
            0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8,
            0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0,
            0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81,
            0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04,
            0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11,
            0xE0, 0xBF, 0xC5, 0xFE, 0x04, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00])),

    ## 42-clock Wavetables
    ## Weird in-between table size, that gets used for 800 pixel frame width.
    lux1310wavetab(clocks=42, abnDelay=30,
        wavetab=bytearray([
            0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E,
            0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78,
            0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81, 0xFF, 0x2F, 0xFA, 0x11, 0xE0,
            0x7F, 0xCB, 0xFE, 0x84, 0x78, 0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81,
            0xFF, 0x2F, 0xFA, 0x11, 0xE0, 0x3F, 0xCB, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03,
            0xFC, 0x3F, 0xED, 0x47, 0x80, 0xFF, 0x0F, 0xFB, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0xD4, 0x78, 0x0F,
            0xF0, 0xFF, 0xB5, 0x1E, 0x03, 0xFC, 0x3F, 0xED, 0x47, 0x80, 0xFF, 0x0F, 0xFB, 0x51, 0xE0, 0x3F,
            0xC3, 0xFE, 0xD4, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03, 0xFC, 0x3F, 0xE9, 0x47, 0x80, 0xFF,
            0x0F, 0xFA, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0x94, 0x78, 0x0F, 0xF0, 0xFF, 0xA5, 0x1E, 0x03, 0xFC,
            0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0,
            0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3,
            0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F,
            0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F,
            0xE8, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC1, 0xFE, 0x84, 0x70, 0x00, 0x00, 0x00,
            0x00, 0x00, 0x00, 0x00]),
        gaintab=bytearray([
            0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E,
            0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78,
            0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0,
            0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83,
            0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F,
            0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F,
            0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF,
            0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF,
            0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC,
            0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1,
            0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7,
            0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F,
            0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F,
            0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xBF, 0xC5, 0xFE, 0x04, 0x70, 0x00, 0x00, 0x00,
            0x00, 0x00, 0x00, 0x00])),

    ## 39-clock wavetables
    ## Fastest operation at VGA frame sizes (640x480)
    lux1310wavetab(clocks=39, abnDelay=30,
        wavetab=bytearray([
            0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E,
            0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78,
            0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81, 0xFF, 0x2F, 0xFA, 0x11, 0xE0,
            0x7F, 0xCB, 0xFE, 0x84, 0x78, 0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81,
            0xFF, 0x2F, 0xFA, 0x11, 0xE0, 0x3F, 0xCB, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03,
            0xFC, 0x3F, 0xED, 0x47, 0x80, 0xFF, 0x0F, 0xFB, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0xD4, 0x78, 0x0F,
            0xF0, 0xFF, 0xB5, 0x1E, 0x03, 0xFC, 0x3F, 0xED, 0x47, 0x80, 0xFF, 0x0F, 0xFB, 0x51, 0xE0, 0x3F,
            0xC3, 0xFE, 0xD4, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03, 0xFC, 0x3F, 0xE9, 0x47, 0x80, 0xFF,
            0x0F, 0xFA, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0x94, 0x78, 0x0F, 0xF0, 0xFF, 0xA5, 0x1E, 0x03, 0xFC,
            0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0,
            0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3,
            0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F,
            0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0x7F, 0xA1, 0x1C, 0x00, 0x00, 0x00,
            0x00, 0x00, 0x00]),
        gaintab=bytearray([
            0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E,
            0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78,
            0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0,
            0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83,
            0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F,
            0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F,
            0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF,
            0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF,
            0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC,
            0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1,
            0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7,
            0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F,
            0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x2F, 0xF1, 0x7F, 0x81, 0x1C, 0x00, 0x00, 0x00,
            0x00, 0x00, 0x00])),

    ## 30-clock wavetables
    ## Fastest operation for HVGA frame size (480x320)
    lux1310wavetab(clocks=30, abnDelay=29,
        wavetab=bytearray([
            0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E,
            0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78,
            0x1F, 0xF2, 0xFF, 0xA3, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81, 0xFF, 0x2F, 0xFA, 0x11, 0xE0,
            0x7F, 0xCB, 0xFE, 0x84, 0x78, 0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81,
            0xFF, 0x2F, 0xFA, 0x11, 0xE0, 0x3F, 0xCB, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03,
            0xFC, 0x3F, 0xED, 0x47, 0x80, 0xFF, 0x0F, 0xFB, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0xD4, 0x78, 0x0F,
            0xF0, 0xFF, 0xB5, 0x1E, 0x03, 0xFC, 0x3F, 0xED, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x51, 0xE0, 0x3F,
            0xC3, 0xFE, 0x94, 0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80, 0xFF,
            0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC,
            0x3F, 0xE8, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F, 0xC1, 0xFE, 0x84, 0x70, 0x00, 0x00,
            0x00, 0x00, 0x00, 0x00]),
        gaintab=bytearray([
            0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E,
            0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78,
            0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0,
            0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83,
            0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F,
            0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F,
            0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF,
            0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF,
            0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC,
            0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xBF, 0xC5, 0xFE, 0x04, 0x70, 0x00, 0x00,
            0x00, 0x00, 0x00, 0x00])),

    ## 25-clock wavetables
    ## Weird in-between size best suited for 400-ish pixel frame widths.
    lux1310wavetab(clocks=25, abnDelay=27,
        wavetab=bytearray([
            0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E,
            0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78,
            0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81, 0xFF, 0x2F, 0xFA, 0x11, 0xE0,
            0x7F, 0xCB, 0xFE, 0x84, 0x78, 0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0xBF, 0xE8, 0x47, 0x80,
            0xFF, 0x0F, 0xFB, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0xD4, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03,
            0xFC, 0x3F, 0xED, 0x47, 0x80, 0xFF, 0x0F, 0xFB, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0xD4, 0x78, 0x0F,
            0xF0, 0xFF, 0xA5, 0x1E, 0x03, 0xFC, 0x3F, 0xE9, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x11, 0xE0, 0x3F,
            0xC3, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x3F, 0xE8, 0x47, 0x80, 0xFF,
            0x07, 0xFA, 0x11, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00]),
        gaintab=bytearray([
            0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E,
            0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78,
            0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0,
            0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83,
            0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F,
            0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F,
            0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF,
            0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x82, 0xFF,
            0x17, 0xF8, 0x11, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00])),

    ## 20-clock wavetables
    ## Fastest operation for 336 pixel frame widths.
    lux1310wavetab(clocks=20, abnDelay=25,
        wavetab=bytearray([
            0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E,
            0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x84, 0x78,
            0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81, 0xFF, 0x2F, 0xFA, 0x11, 0xE0,
            0x3F, 0xCB, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03, 0xFC, 0x3F, 0xED, 0x47, 0x80,
            0xFF, 0x0F, 0xFB, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0xD4, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03,
            0xFC, 0x3F, 0xE9, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F,
            0xF0, 0xFF, 0xA1, 0x1E, 0x03, 0xFC, 0x1F, 0xE8, 0x47, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00]),
        gaintab=bytearray([
            0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E,
            0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78,
            0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0,
            0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83,
            0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F,
            0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F,
            0xF1, 0xFF, 0x81, 0x1E, 0x0B, 0xFC, 0x5F, 0xE0, 0x47, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00])),

    ## 19-clock wavetables
    ## Fastest operation at QVGA resolution (320x240)
    lux1310wavetab(clocks=19, abnDelay=25,
        wavetab=bytearray([
            0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x8C, 0x78, 0x1F, 0xF2, 0xFF, 0xA3, 0x1E,
            0x07, 0xFC, 0xBF, 0xE8, 0xC7, 0x81, 0xFF, 0x2F, 0xFA, 0x31, 0xE0, 0x7F, 0xCB, 0xFE, 0x84, 0x78,
            0x1F, 0xF2, 0xFF, 0xA1, 0x1E, 0x07, 0xFC, 0xBF, 0xE8, 0x47, 0x81, 0xFF, 0x2F, 0xFA, 0x11, 0xE0,
            0x3F, 0xCB, 0xFE, 0x84, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03, 0xFC, 0x3F, 0xED, 0x47, 0x80,
            0xFF, 0x0F, 0xFB, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0xD4, 0x78, 0x0F, 0xF0, 0xFF, 0xB5, 0x1E, 0x03,
            0xFC, 0x3F, 0xE9, 0x47, 0x80, 0xFF, 0x0F, 0xFA, 0x51, 0xE0, 0x3F, 0xC3, 0xFE, 0x84, 0x78, 0x0F,
            0xF0, 0x7F, 0xA1, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00]),
        gaintab=bytearray([
            0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E,
            0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78,
            0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0,
            0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F, 0xFC, 0x7F, 0xE0, 0x47, 0x83,
            0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x3F, 0xF1, 0xFF, 0x81, 0x1E, 0x0F,
            0xFC, 0x7F, 0xE0, 0x47, 0x83, 0xFF, 0x1F, 0xF8, 0x11, 0xE0, 0xFF, 0xC7, 0xFE, 0x04, 0x78, 0x2F,
            0xF1, 0x7F, 0x81, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00])),
]
